<?php

use jrosset\CliProgram\AutoDiscoveryApplication;
use jrosset\CliProgram\AutoPrefixApplication;
use jrosset\CliProgram\SafeApplication;

class Application extends \Symfony\Component\Console\Application {
    use SafeApplication;
    use AutoDiscoveryApplication;
    use AutoPrefixApplication;

    public function __construct (string $name = 'UNKNOWN', string $version = 'UNKNOWN') {
        parent::__construct($name, $version);
        $this->addAutoDiscoveredCommands();
        $this->applyAutoPrefixes();
    }
}